View Issue Details

IDProjectCategoryView StatusLast Update
0006115Talerwallet (Android App)public2020-10-03 12:37
Reportergrote Assigned Togrote  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006115: Implementing exchange selection dialog
DescriptionThe browser wallet already has this implemented.

We generally want to encourage using the exchange suggested by the bank, but it must be possible to change it.
TagsNo tags attached.

Activities

grote

2020-03-12 15:17

developer   ~0015447

User scan withdraw QR code

New Screen opens (withdrawal details). Information shown:

-------------------------------------------------------------------------------

                       Do you want to withdraw
                                  10 KUDOS
                    (-0.5 KUDOS exchange fees )

                     Using the exchange provider
                     exchange.demo.taler.net [CHANGE]

 [Cancel] [Review ToS] [Confirm Withdraw]

-------------------------------------------------------------------------------

The [CHANGE] button could be a pencil icon.
The exchange used is the one shipped with the wallet. (TODO where to find that, more complicated logic, like remembering last choice?)

If the ToS of the exchange have not been accepted, the [Confirm Withdraw] button will be hidden and [Review ToS] moved to the right.

Clicking [Review ToS] in that case allows the user to accept the ToS of the exchange. Clicking accept brings the user back to the withdrawal details screen that now features a [Confirm Withdraw] button.

Clicking the [CHANGE] exchange button, brings up a new screen (exchange selection) that lists other exchanges known to the wallet (e.g. suggested by the bank). Clicking one of those changes the exchange and brings the user back to the withdrawal details screen that reloads with new fee information and displays the updated exchange.
The exchange selection screen also allows the user to enter a new exchange manually, maybe by clicking a [plus] button in the action bar or a floating action button. After the new exchange has been entered and confirmed by the user, we need to do some kind of API request to verify that the exchange can be used. If not, we show an error, if yes, we can add it to the list (TODO how?) and bring the user back to the withdrawal details screen.

Christian Grothoff

2020-03-13 13:33

manager   ~0015450

Leon agrees with Torsten that we should simply do:
-------------------------------------------------------------------------------

                       Do you want to withdraw
                                  10 KUDOS
                    (-0.5 KUDOS exchange fees )

                     Using the exchange provider
                     exchange.demo.taler.net [CHANGE]

 [Cancel] [Confirm Withdraw]
-------------------------------------------------------------------------------
once the ToS has already been accepted for simplicity.

First time, we should do:


-------------------------------------------------------------------------------

                       Do you want to withdraw
                                  10 KUDOS
                    (-0.5 KUDOS exchange fees )

                     Using the exchange provider
                     exchange.demo.taler.net [CHANGE]

 [Cancel] [Review Terms of Service before withdrawing]
-------------------------------------------------------------------------------

Then at the end of the ToS screen:

---------------------------------------------------------------------------
You are about to withdraw 10 TESTKUDOS
[paying 0.4 TESTKUDOS in fees]

[Cancel] [Accept Terms of Service and withdraw]
---------------------------------------------------------------------------
[only if fees are non-zero].

I think doing a reminder at this point is in-order.

grote

2020-09-28 19:46

developer   ~0016983

exchange selection was implemented in 0936fc851

Issue History

Date Modified Username Field Change
2020-03-06 17:47 grote New Issue
2020-03-06 17:47 grote Status new => assigned
2020-03-06 17:47 grote Assigned To => grote
2020-03-12 15:17 grote Note Added: 0015447
2020-03-13 13:33 Christian Grothoff Note Added: 0015450
2020-09-05 13:55 Christian Grothoff Severity minor => feature
2020-09-05 13:55 Christian Grothoff Product Version => git (master)
2020-09-05 13:55 Christian Grothoff Target Version => 0.8.1
2020-09-28 19:46 grote Status assigned => resolved
2020-09-28 19:46 grote Resolution open => fixed
2020-09-28 19:46 grote Note Added: 0016983
2020-10-03 12:37 Christian Grothoff Fixed in Version => 0.8
2020-10-03 12:37 Christian Grothoff Target Version 0.8.1 => 0.8